import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { SystemPreferences } from '@red/domain';
import { KeysOf } from '@iqser/common-ui/lib/utils';

export const systemPreferencesTranslations: Record<'label' | 'placeholder', Record<KeysOf<SystemPreferences>, string>> = {
    label: {
        softDeleteCleanupTime: _('general-config-screen.system-preferences.labels.soft-delete-cleanup-time'),
        downloadCleanupDownloadFilesHours: _('general-config-screen.system-preferences.labels.download-cleanup-download-files-hours'),
        downloadCleanupNotDownloadFilesHours: _(
            'general-config-screen.system-preferences.labels.download-cleanup-not-download-files-hours',
        ),
    },
    placeholder: {
        softDeleteCleanupTime: _('general-config-screen.system-preferences.placeholders.soft-delete-cleanup-time'),
        downloadCleanupDownloadFilesHours: _('general-config-screen.system-preferences.placeholders.download-cleanup-download-files-hours'),
        downloadCleanupNotDownloadFilesHours: _(
            'general-config-screen.system-preferences.placeholders.download-cleanup-not-download-files-hours',
        ),
    },
} as const;
